// fade in images, texts and text boxes 

let fadeins = document.querySelectorAll('.fade-in');

function fadeInElements() {
     fadeins.forEach(fadein => {
          let topEdge = fadein.getBoundingClientRect().top;
          let viewportHeight = window.innerHeight - 200;
          if (viewportHeight > topEdge) {
               fadein.classList.add('in-view');
          } else {
               fadein.classList.remove('in-view');
          }
     });
}

//photo fade in
let fade = document.querySelectorAll('.fade');

function fadeInElements() {
     fadeins.forEach(fade => {
          let topEdge = fade.getBoundingClientRect().top;
          let viewportHeight = window.innerHeight - 200;
          if (viewportHeight > topEdge) {
               fade.classList.add('in-view');
          } else {
               fade.classList.remove('in-view');
          }
     });
}

//menu awareness scripts
let sections = document.querySelectorAll('.section');

function updateMenu() {
     let windowHeight = window.innerHeight - 300;
     sections.forEach(section => {
          let sectionId = section.id;
          let link = document.querySelector('a[href="#' + sectionId + '"]');
          let sectionTop = section.getBoundingClientRect().top;
          let sectionBottom = section.getBoundingClientRect().bottom;
          if (sectionTop < windowHeight && sectionBottom > windowHeight) {
               link.classList.add('active');
          } else {
               link.classList.remove('active');
          }
     })
}

function viewportFunctions() {
     fadeInElements();
     updateMenu();
}

viewportFunctions();
window.addEventListener('scroll', viewportFunctions);
window.addEventListener('resize', viewportFunctions);